# Download and endorse this mod in Nexus. All credits goes to aedenthorn.

# About this mod
Allows almost complete, granular control over Unity's graphics quality settings for Valheim

# Description

This mod basically maps **UnityEngine.QualitySettings** to configurable variables.

You can use this mod to help make Valheim run smoother on potato PCs or increase the quality of screenshots.

Just make sure you read the documentation first:

https://docs.unity3d.com/ScriptReference/QualitySettings.html


# Config

A config file **BepInEx/config/aedenthorn.CustomGraphicsSettings.cfg** is created after running the game once with this mod.

You can adjust the config values by editing this file using a text editor or in-game using the [Config Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/).



# Notes

A bunch of the int settings are actually enumerators, so for example "shadows" can be set to 0, 1, 2, corresponding to the values here:

https://docs.unity3d.com/ScriptReference/ShadowQuality.html

i.e. 0 = Disable, 1 = HardOnly, 2 = All

This mod doesn't touch post-processing yet.



# Technical

To install manually, place the dll file in the BepInEx/plugins folder. You will need BepInEx.

Code is at https://github.com/aedenthorn/ValheimMods.

If you want to complain or ask for help or help aedenthorn test her mods, you can visit her [Discord server](https://discord.gg/bs6zHuj).

[Click here for a list of all aedenthorn's mods for Valheim.](https://www.nexusmods.com/valheim/articles/104)

***
Uploaded to Thunderstore for my own modpack.